import { isSupportedLang } from '..'

it('returns true for supported languages', () => {
  expect(isSupportedLang('ru')).toBe(true)
  expect(isSupportedLang('en')).toBe(true)
  expect(isSupportedLang('cs')).toBe(true)
  expect(isSupportedLang('uk')).toBe(true)
  expect(isSupportedLang('fr')).toBe(true)
  expect(isSupportedLang('de')).toBe(true)
  expect(isSupportedLang('es')).toBe(true)
  expect(isSupportedLang('pt')).toBe(true)
  expect(isSupportedLang('it')).toBe(true)
  expect(isSupportedLang('pl')).toBe(true)
})

it('returns false for not supported languages', () => {
  expect(isSupportedLang('ja')).toBe(false)
  expect(isSupportedLang('ro')).toBe(false)
  expect(isSupportedLang('tr')).toBe(false)
})
